RU

Тема

Цвет акцента

Тема и цвет сохранятся на satelit.md и в приложении.

Панель Выбрать тариф

Направления

GET/v1/flights/destinations

Направления из Кишинёва, с авиакомпаниями, сезоном, рейсами в неделю и самым низким тарифом.

Кредиты
2
С ключом

Параметры

Без параметров.

Возможные ошибки

Попробовать

curl "https://api.satelit.md/v1/flights/destinations" \
  -H "Authorization: Bearer $SATELIT_KEY"
const res = await fetch("https://api.satelit.md/v1/flights/destinations", {
  headers: { Authorization: `Bearer ${process.env.SATELIT_KEY}` },
});
const { data, meta } = await res.json();
console.log(data, meta.credits);
import json, os, urllib.request

req = urllib.request.Request(
    "https://api.satelit.md/v1/flights/destinations",
    headers={"Authorization": f"Bearer {os.environ['SATELIT_KEY']}"},
)
with urllib.request.urlopen(req) as res:
    body = json.load(res)
print(body["data"], body["meta"]["credits"])
<?php
$ch = curl_init("https://api.satelit.md/v1/flights/destinations");
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => ["Authorization: Bearer " . getenv("SATELIT_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($body["data"]);
Ответ
{
  "data": [
    {
      "iata": "SSH",
      "city": "Sharm El Sheikh",
      "airlines": [
        "FLYONE",
        "Vision Air",
        "Wizz Air"
      ],
      "flights_per_week": 35,
      "season_from": "2026-11-01",
      "season_to": "2027-03-27",
      "direct": true,
      "fare_from": {
        "destination": "SSH",
        "airport": "SSH",
        "price": 67,
        "currency": "EUR",
        "price_mdl": 1351.79,
        "airline": "W4",
        "flight_number": "3935",
        "departure_at": "2026-12-10T10:35:00+02:00",
        "return_at": null,
        "transfers": 1,
        "duration": 420
      }
    },
    {
      "iata": "OTP",
      "city": "Bucureşti",
      "airlines": [
        "HiSky",
        "TAROM"
      ],
      "flights_per_week": 20,
      "season_from": "2026-11-01",
      "season_to": "2027-03-27",
      "direct": true,
      "fare_from": {
        "destination": "BUH",
        "airport": "OTP",
        "price": 19,
        "currency": "EUR",
        "price_mdl": 383.34,
        "airline": "W4",
        "flight_number": "3040",
        "departure_at": "2026-12-30T14:50:00+02:00",
        "return_at": null,
        "transfers": 0,
        "duration": 70
      }
    }
  ],
  "meta": {
    "credits": 2,
    "updated_at": "2026-11-02T13:05:00+02:00",
    "sources": [
      {
        "name": "public airport schedule, an air fare service",
        "license": "none: read from the source's public pages; no agreement with the source and no licence over its data is granted"
      }
    ],
    "attribution": "Date: Satelit (satelit.md)"
  }
}

Одно направление

GET/v1/flights/destinations/{code}

Дни рейсов, вылеты, прилёты и тарифы направления. 3 кредита.

Кредиты
3
С ключом

Параметры

  • codestringобязательный

    Код IATA аэропорта: SSH.

Возможные ошибки

Попробовать

curl "https://api.satelit.md/v1/flights/destinations/SSH" \
  -H "Authorization: Bearer $SATELIT_KEY"
const res = await fetch("https://api.satelit.md/v1/flights/destinations/SSH", {
  headers: { Authorization: `Bearer ${process.env.SATELIT_KEY}` },
});
const { data, meta } = await res.json();
console.log(data, meta.credits);
import json, os, urllib.request

req = urllib.request.Request(
    "https://api.satelit.md/v1/flights/destinations/SSH",
    headers={"Authorization": f"Bearer {os.environ['SATELIT_KEY']}"},
)
with urllib.request.urlopen(req) as res:
    body = json.load(res)
print(body["data"], body["meta"]["credits"])
<?php
$ch = curl_init("https://api.satelit.md/v1/flights/destinations/SSH");
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => ["Authorization: Bearer " . getenv("SATELIT_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($body["data"]);
Ответ
{
  "data": {
    "iata": "SSH",
    "city": "Sharm El Sheikh",
    "airlines": [
      "FLYONE",
      "Vision Air",
      "Wizz Air"
    ],
    "flights_per_week": 35,
    "season_from": "2026-11-01",
    "season_to": "2027-03-27",
    "direct": true,
    "fare_from": {
      "destination": "SSH",
      "airport": "SSH",
      "price": 67,
      "currency": "EUR",
      "price_mdl": 1351.79,
      "airline": "W4",
      "flight_number": "3935",
      "departure_at": "2026-12-10T10:35:00+02:00",
      "return_at": null,
      "transfers": 1,
      "duration": 420
    },
    "weekdays": [
      0,
      2,
      4,
      6
    ],
    "departures": [
      {
        "flight_no": "4V 4223",
        "airline": "Vision Air",
        "airline_code": "4V",
        "city": "Antalya",
        "iata": "AYT",
        "scheduled": "2026-11-03T00:05+02:00"
      }
    ],
    "arrivals": [],
    "fares": [
      {
        "destination": "SSH",
        "airport": "SSH",
        "price": 67,
        "currency": "EUR",
        "price_mdl": 1351.79,
        "airline": "W4",
        "flight_number": "3935",
        "departure_at": "2026-12-10T10:35:00+02:00",
        "return_at": null,
        "transfers": 1,
        "duration": 420
      }
    ],
    "months": []
  },
  "meta": {
    "credits": 3,
    "updated_at": "2026-11-02T13:05:00+02:00",
    "sources": [
      {
        "name": "public airport schedule, an air fare service",
        "license": "none: read from the source's public pages; no agreement with the source and no licence over its data is granted"
      }
    ],
    "attribution": "Date: Satelit (satelit.md)"
  }
}

Табло

GET/v1/flights/board

Вылеты или прилёты за день.

Кредиты
2
С ключом

Параметры

  • kindstring: departures, arrivalsнеобязательныйпо умолчанию departures

    departures или arrivals.

  • daystringнеобязательный

    День, YYYY-MM-DD.

Возможные ошибки

Попробовать

curl "https://api.satelit.md/v1/flights/board?kind=departures" \
  -H "Authorization: Bearer $SATELIT_KEY"
const res = await fetch("https://api.satelit.md/v1/flights/board?kind=departures", {
  headers: { Authorization: `Bearer ${process.env.SATELIT_KEY}` },
});
const { data, meta } = await res.json();
console.log(data, meta.credits);
import json, os, urllib.request

req = urllib.request.Request(
    "https://api.satelit.md/v1/flights/board?kind=departures",
    headers={"Authorization": f"Bearer {os.environ['SATELIT_KEY']}"},
)
with urllib.request.urlopen(req) as res:
    body = json.load(res)
print(body["data"], body["meta"]["credits"])
<?php
$ch = curl_init("https://api.satelit.md/v1/flights/board?kind=departures");
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => ["Authorization: Bearer " . getenv("SATELIT_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($body["data"]);
Ответ
{
  "data": {
    "kind": "departures",
    "day": "2026-11-03",
    "flights": [
      {
        "flight_no": "4V 4223",
        "airline": "Vision Air",
        "airline_code": "4V",
        "city": "Antalya",
        "iata": "AYT",
        "scheduled": "2026-11-03T00:05+02:00"
      },
      {
        "flight_no": "5F 6917",
        "airline": "FLYONE",
        "airline_code": "5F",
        "city": "Sharm El Sheikh",
        "iata": "SSH",
        "scheduled": "2026-11-03T00:05+02:00"
      },
      {
        "flight_no": "4V 7507",
        "airline": "Vision Air",
        "airline_code": "4V",
        "city": "Sharm El Sheikh",
        "iata": "SSH",
        "scheduled": "2026-11-03T00:05+02:00"
      }
    ]
  },
  "meta": {
    "credits": 2,
    "updated_at": "2026-11-02T13:05:00+02:00",
    "sources": [
      {
        "name": "public airport schedule",
        "license": "none: read from the source's public pages; no agreement with the source and no licence over its data is granted"
      }
    ],
    "attribution": "Date: Satelit (satelit.md)"
  }
}